network {Zelig} | R Documentation

## Format matricies into a data frame for social network analysis

### Description

This function accepts individual matricies as its inputs, combining the input matricies into a single data frame which can then be used in the `data` argument for social network analysis (models `"netlm"` and `"netlogit"`) in Zelig.

### Usage

    network(...)

### Arguments

`...` | matricies representing variables, with rows and columns corresponding to individuals. These can be given as named arguments and should be given in the order the in which the user wishes them to appear in the output data frame.

### Value

The `network` function creates a data frame which contains matricies instead of vectors as its variables. Inputs to the function should all be square matricies and can be given as named arguments.

### Author(s)

Skyler J. Cranmer

### See Also

The full Zelig manual is available at http://gking.harvard.edu/zelig.

### Examples

    ## Not run:
    ## Let Var1, Var2, Var3, Var4, and Var5 be matrices
    friendship <- network(Var1, Var2, Var3, Var4, Var5)
    ## End(Not run)

[Package Zelig version 3.4-3 Index]